#include <pw/core/axisangle.hpp>
#include <pw/core/quaternion.hpp>
#include <pw/core/serialize.hpp>

#include <iostream>

int main(int argc,char **argv) {

    pw::axisangle_<float> aa = pw::axisangle_<float>();

//	pw::quaternionf qf = pw::quaternionf::from_axisangle(aa);
//	std::cout << "aa as quaternion as matrix = " << pw::serialize::matrix(qf.to_matrix()) << std::endl;
//	std::cout << "aa.matrix() = " << pw::serialize::matrix(qf.to_matrix()) << std::endl;

    std::cout << "x-axis" << std::endl;

    aa.axis = pw::vector3::x_axis();
    aa.angle = pw::deg_to_rad(45.f);

    std::cout << "aa.matrix() = " << std::endl << pw::serialize::matrix(aa.to_matrix()) << std::endl;

    std::cout << "y-axis" << std::endl;

    aa.axis = pw::vector3::y_axis();
    aa.angle = pw::deg_to_rad(45.f);

    std::cout << "aa.matrix() = " << std::endl << pw::serialize::matrix(aa.to_matrix()) << std::endl;




    return 0;
}
